package org.fuseri.modulemail.service;


import jakarta.validation.Valid;
import org.fuseri.model.dto.mail.MailDto;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("/mail")
public class MailController {

    private final MailService service;

    @Autowired
    public MailController(MailService service) {
        this.service = service;
    }

    @PostMapping()
    public ResponseEntity<String> sendMail(@Valid @RequestBody MailDto emailDto) {
        return ResponseEntity.ok(service.send(emailDto));
    }
}
